> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# listParticipants

> Retrieves a list of [Participants](#schema_user) for a given [Conversation](#schema_conversation).



## OpenAPI

````yaml chat-openapi.json get /conversations/{conversationId}/participants
openapi: 3.0.0
info:
  title: Chat API
  description: API for the Chat Integration
  version: 0.0.0
servers:
  - url: https://chat.botpress.cloud/{webhookUrl}
    variables:
      webhookUrl:
        default: your_default_webhook_url
        description: The webhook URL
security: []
paths:
  /conversations/{conversationId}/participants:
    get:
      tags:
        - Endpoints
      summary: List Participants
      description: >-
        Retrieves a list of [Participants](#schema_user) for a given
        [Conversation](#schema_conversation).
      operationId: listParticipants
      parameters:
        - name: x-user-key
          in: header
          description: Authentication Key
          required: true
          schema:
            type: string
        - name: nextToken
          in: query
          description: >-
            Provide the `meta.nextToken` value provided in the last API response
            to retrieve the next page of results
          required: false
          schema:
            type: string
        - name: conversationId
          in: path
          description: Conversation id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns a list of [Participants](#schema_user) objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  participants:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Identifier of the [User](#schema_user)
                        name:
                          type: string
                          description: Name of the [User](#schema_user)
                        pictureUrl:
                          type: string
                          description: Picture url of the [User](#schema_user)
                        profile:
                          type: string
                          description: >-
                            Custom profile data of the [User](#schema_user)
                            encoded as a string
                        createdAt:
                          type: string
                          format: date-time
                          description: >-
                            Creation date of the [User](#schema_user) in ISO
                            8601 format
                        updatedAt:
                          type: string
                          format: date-time
                          description: >-
                            Updating date of the [User](#schema_user) in ISO
                            8601 format
                      required:
                        - id
                        - createdAt
                        - updatedAt
                      description: >-
                        The user object represents someone interacting with the
                        bot within a specific integration. The same person
                        interacting with a bot in slack and messenger will be
                        represented with two different users.
                      additionalProperties: false
                      x-readme-ref-name: User
                  meta:
                    type: object
                    properties:
                      nextToken:
                        type: string
                        description: >-
                          The token to use to retrieve the next page of results,
                          passed as a query string parameter (value should be
                          URL-encoded) to this API endpoint.
                    additionalProperties: false
                required:
                  - participants
                  - meta
                title: listParticipantsResponse
                additionalProperties: false
        default:
          description: Returns a list of [Participants](#schema_user) objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  participants:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Identifier of the [User](#schema_user)
                        name:
                          type: string
                          description: Name of the [User](#schema_user)
                        pictureUrl:
                          type: string
                          description: Picture url of the [User](#schema_user)
                        profile:
                          type: string
                          description: >-
                            Custom profile data of the [User](#schema_user)
                            encoded as a string
                        createdAt:
                          type: string
                          format: date-time
                          description: >-
                            Creation date of the [User](#schema_user) in ISO
                            8601 format
                        updatedAt:
                          type: string
                          format: date-time
                          description: >-
                            Updating date of the [User](#schema_user) in ISO
                            8601 format
                      required:
                        - id
                        - createdAt
                        - updatedAt
                      description: >-
                        The user object represents someone interacting with the
                        bot within a specific integration. The same person
                        interacting with a bot in slack and messenger will be
                        represented with two different users.
                      additionalProperties: false
                      x-readme-ref-name: User
                  meta:
                    type: object
                    properties:
                      nextToken:
                        type: string
                        description: >-
                          The token to use to retrieve the next page of results,
                          passed as a query string parameter (value should be
                          URL-encoded) to this API endpoint.
                    additionalProperties: false
                required:
                  - participants
                  - meta
                title: listParticipantsResponse
                additionalProperties: false

````